%global packname qcc

Name:             R-%{packname}
Version:          2.2
Release:          9%{?dist}
Source0:          http://cran.r-project.org/src/contrib/qcc_%{version}.tar.gz
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/qcc/index.html
Group:            Applications/Engineering
Summary:          SQC package for R
BuildRequires:    R-devel >= 3.0.0, tex(latex)
BuildArch:        noarch
Requires:         R-core >= 3.0.0

%description
An R package for quality control charting and statistical process control.

The qcc package for the R statistical environment provides:
- Plot Shewhart quality control charts
- Plot Cusum and EMWA charts for continuous data
- Draw operating characteristic curves
- Perform process capability analysis
- Draw Pareto charts and cause-and-effect diagrams

%prep
%setup -q -c -n %{packname}
#Fix permissions
find -type f | xargs chmod -x
#Fix line ending
mv qcc/inst/CITATION qcc/inst/CITE
tr -d '\r' <qcc/inst/CITE >qcc/inst/CITATION
rm -f qcc/inst/CITE

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/R/library
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_datadir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/CITATION
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION 
%doc %{_datadir}/R/library/%{packname}/LICENCE
%{_datadir}/R/library/%{packname}/doc
%{_datadir}/R/library/%{packname}/demo
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/data
%{_datadir}/R/library/%{packname}/help

%changelog
* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 11 2013 Tom Callaway <spot@fedoraproject.org> - 2.2-6
- rebuild for R3

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Dec  5 2011 John J. McDonough <jjmcd@fedoraproject.org> - 2.2-3
- Remove extraneout BuildRoot and clean

* Sat Dec  3 2011 John J. McDonough <jjmcd@fedoraproject.org> - 2.2-2
- Minor .spec changes

* Sat Nov 19 2011 John J. McDonough <jjmcd@fedoraproject.org> - 2.2-1
- Updated tar from upstream
- Adjust DOS format inst/CITATION

* Fri Nov  2 2011 John J. McDonough <jjmcd@fedoraproject.org> - 2.0.1-2
- Reflect updated .spec template
- Correct spec problems

* Fri Jul 15 2011 John J. McDonough <jjmcd@fedoraproject.org> - 2.0.1-1
- Initial RPM

